%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name:		python-pysctp 
Version:	0.6
Release:	5%{?dist}
Summary:	Python sctp socket api extensions bindings
Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://epx.com.br/pysctp/
Source0:	https://github.com/philpraxis/pysctp/archive/%{version}.tar.gz
Source1:	__init__.py
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	python lksctp-tools-devel 
BuildRequires:  python-setuptools lksctp-tools-devel 
BuildRequires:	python-devel python

Patch0: pysctp-buildfix.patch

%description
Python bindings for the SCTP socket api (see draft-ietf-tsvwg-sctpsocket-10.txt)

%prep
%setup -q -n pysctp-%{version}
mkdir ./pysctp
cp %{SOURCE1} .

%build
FLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/*.[ch]

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitearch}/*
%doc README 

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6-3
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 30 2013 Neil Horman <nhorman@redhat.com> - 0.6-1
* Updated to latest upstream

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Nov 20 2009 Neil Horman <nhorman@tuxdriver.com> - 0.3.1-9
- Update BuildRequires (bz 539152)

* Fri Nov 20 2009 Neil Horman <nhorman@tuxdriver.com> - 0.3.1-8
- Update BuildRequires (bz 539152)

* Fri Nov 20 2009 Neil Horman <nhorman@tuxdriver.com> - 0.3.1-7
- Update makefile for latest python release (bz 539152)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.1-4
- Rebuild for Python 2.6

* Wed Sep 10 2008 Neil Horman <nhorman@tuxdriver.com> 0.3-1-3 
- Fixed files section, last minute pre-import fixes

* Wed Sep 10 2008 Neil Horman <nhorman@tuxdriver.com> 0.3.1-2
- Updated spec file with documentation

* Thu Apr 10 2008 Neil Horman <nhorman@tuxdriver.com> 0.3.1-1
- Initial build
